Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uchicago.src.sim.engine
Interface Group

All Superinterfaces:
  java.util.Collection, java.lang.Iterable

All Known Implementing Classes:
  DefaultGroup

    public interface Group

extends java.util.Collection

Version:
  $Revision: 1.6 $ $Date: 2004/11/03 19:50:57 $

Method Summary
`double` | `avg(java.lang.String methodName)`
`void` | `call(java.lang.String methodName)`
`void` | `clear()`
`java.util.List` | `getItemWithMaxValue(java.lang.String methodName)`
`java.util.List` | `getItemWithMinValue(java.lang.String methodName)`
`java.lang.Object` | `getRandomItem()`
`boolean` | `isEmpty()`
`java.util.Iterator` | `iterator()`
`double` | `max(java.lang.String methodName)`
`double` | `min(java.lang.String methodName)`
`int` | `size()`
`void` | `step()`

Methods inherited from interface java.util.Collection
`add, addAll, contains, containsAll, equals, hashCode, remove, removeAll, retainAll, toArray, toArray`

Method Detail

### step

    void step()

### call

    void call(java.lang.String methodName)

### iterator

    java.util.Iterator iterator()

  Specified by:
    `iterator` in interface `java.util.Collection`
  Specified by:
    `iterator` in interface `java.lang.Iterable`

### clear

    void clear()

  Specified by:
    `clear` in interface `java.util.Collection`

### isEmpty

    boolean isEmpty()

  Specified by:
    `isEmpty` in interface `java.util.Collection`

### min

    double min(java.lang.String methodName)

### max

    double max(java.lang.String methodName)

### avg

    double avg(java.lang.String methodName)

### getItemWithMinValue

    java.util.List getItemWithMinValue(java.lang.String methodName)

### getItemWithMaxValue

    java.util.List getItemWithMaxValue(java.lang.String methodName)

### getRandomItem

    java.lang.Object getRandomItem()

### size

    int size()

  Specified by:
    `size` in interface `java.util.Collection`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD